/* filename: critvalfcn.g
** created:  06/18/03
** Modifications:
**
*/

/*
goto printnow;
*/

new;
cls;
library pgraph, user;
_fcmptol = 1E-10;

#include nkmp_spec.g
#include pathspec.g;

declare matrix gmat_global, lasel_global;

/******************************************************** 
** Configuration of Monte Carlo
*/

alpha_s  = 0.10;

/* Load model parameters
*/
lpath          = resupath;
ljlim          = lpath $+ "\\jlim";
lqlim          = lpath $+ "\\qlim";

open fhjlim    = ^ljlim for read;
open fhqlim    = ^lqlim for read;

JJ  = readr( fhjlim, hh); 
QQ  = readr( fhqlim, npara);

closeall fhjlim, fhqlim;

nsim_crit = 1000000;

/* Grid for u_test
*/
u_test_min  = 0;
u_test_max  = 5;
u_test_n    = 101;
u_test_step = (u_test_max-u_test_min)/(u_test_n-1);
u_test_grid = seqa(u_test_min,u_test_step,u_test_n);

/* compute critical values
*/
tstart = date;

DD = (0 ~ 0)|
     (1 ~ 0)|
     (0 ~ 1);
DD=DD';
critval_s1  = crit_s(JJ,QQ,DD,u_test_grid,alpha_s,nsim_crit);

DD = (1 ~ 0)|
     (0 ~ 0)|
     (0 ~ 1);
DD=DD';
critval_s2  = crit_s(JJ,QQ,DD,u_test_grid,alpha_s,nsim_crit);

DD = (1 ~ 0)|
     (0 ~ 1)|
     (0 ~ 0);     
DD=DD';
critval_s3  = crit_s(JJ,QQ,DD,u_test_grid,alpha_s,nsim_crit);

printnow:

graphset;
begwind;
margin(0,0,0.2,0.2);
window(1,1,0);
fonts("microb");
_ptitlht = 0.3;
_paxht = 0.25;
_pnumht = 0.25;
_pcolor = {1 4 2};
_pltype = {6 1 3};
_protate = 0;
_plctrl = 0;
_plwidth = 5.5;
_psymsiz = 5;

xtics(0,u_test_max,1,1);
ytics(2,3,0.25,1);
_plegctl = 2;
_plegctl = {1 4 2.5 2.2};
_plegstr = "Parameter 1\000Parameter 2\000Parameter 3";
xlabel("Inequality Slackness u0");
ylabel("Critical Value");
xy(u_test_grid,critval_s1~critval_s2~critval_s3);

endwind;

end;

#include critval.src
