/* filename:    ci_sum.g
** description: Compute summary statistics for confidence intervals 
*/

new;
closeall;
library user, pgraph;
cls;
outwidth 128;

#include nkmp_spec.g
#include pathspec.g;

mcrun  = "4";
nblock = 1000;

ciid_grid = "para1t2cis0_s" $|
            "para1t2cis1_s" $|
            "para2t2cis0_s" $|
            "para2t2cis1_s" $|
            "para3t2cis0_s" $|
            "para3t2cis1_s" ;

           
            
ciid_n    = rows(ciid_grid);

ciid_ind = 1;
do until ciid_ind > ciid_n;

   ci_id = ciid_grid[ciid_ind];

   $ci_id;
   "----------------------";
   
   gosub runproc;
     
   "";
   "======================";
   "";
   
   ciid_ind = ciid_ind+1;

endo;

end;

/********************************************************
**               S U B R O U T I N E
*/
   
runproc:

lpath  = mcpath $+ "\\mcrun" $+ mcrun;
lci    = lpath  $+ "\\" $+ ci_id;  

/* Initialization
*/

open fhci = ^lci for read;

drawrow = readr( fhci, 1); 
drawdim = cols(drawrow);
drawrow = seekr( fhci, 1);

ci_sum = zeros(drawdim,1);

eofloop = 0;
ndraws  = 0;

/* Compute Accept / Reject and average length
*/

do until eofloop; 

   drawblock = readr( fhci, nblock );
   ci_sum = ci_sum + sumc(drawblock);

   ndraws = ndraws + rows(drawblock);

   eofloop = eof(fhci);

endo;

ci_sum = ci_sum/ndraws;

"Length & Coverage";
ci_sum[2] ci_sum[1];

closeall fhci;
return;
