/********************************************************************
*  Model Specification and Global Setting
*
*  Last updated: 05/31/2005
********************************************************************/
dlibrary -a PszTgSen,PsdTgSen;

msel = zeros(2,1);

datasel = 1;
msel[1] = 1;
msel[2] = 4;
subT    = 2;
dgp     = 4;
parasel = 3; 
   
ndgp    = 4;

if msel[1] == 1;
   npara = 13;
else;
   npara = 16;
endif;

/************************************************
*  MSEL[1]:
*   1 without measurement error
*   2 with measurement errors
************************************************/
lmodel = "m" $+ ftos(msel[1],"%*.*lf",1,0);

/************************************************
*  MSEL[2]:
*   1 output growth rule
*   2 output growth rule, demeaned 
*   3 output gap rule
*   4 output gap rule, demeaned
************************************************/
lmodel = lmodel $+ ftos(msel[2],"%*.*lf",1,0);

/************************************************
*  DATASEL
*  index for simulated data
************************************************/
dataselstr = "s" $+ ftos(datasel,"%*.*lf",1,0);

/************************************************
*  ParaSel
*  choose parameter for which CI is constructed
************************************************/
paraselstr = "para" $+ ftos(parasel,"%*.*lf",1,0);

if parasel == 1;
   DD = (0 ~ 0)|
        (1 ~ 0)|
        (0 ~ 1);
elseif parasel == 2;
   DD = (1 ~ 0)|
        (0 ~ 0)|
        (0 ~ 1);
elseif parasel == 3;
   DD = (1 ~ 0)|
        (0 ~ 1)|
        (0 ~ 0);           
else;
   "Invalid choice";
   end;        
endif;
DD=DD';
        
/************************************************
*  subT
*
*  for simulated data
*     1 for 80 observations
*     2 for 160    
*     
*
************************************************/
Tsimtotal = 165;
Tsimburn  = 100;

Tsim_grid = 80 | 160 ;
Tsim_n = rows(Tsim_grid);

subTstr = "t" $+ ftos(subT,"%*.*lf",1,0);

/************************************************
*  mdgp
************************************************/
ldgp = "dgp" $+ ftos(dgp,"%*.*lf",1,0);


/************************************************
*  Define some globals
************************************************/

/* Control optimization
*/
crit_global = 1E-10;
nit_global  = 50;

/* Cutoff for logstar fcn
*/
eps_global = 1E-10;

/************************************************
*  Dimensions of moment estimation problem
************************************************/

h1 = 3;
h2 = 1;
hh = h1+h2;
nparaest    = 3;
nparaout    = nparaest+hh+1;
