/* filename:    paratab-dgp-1.g
** description: generates a LaTeX Table  
*/

new;
closeall;
library user, pgraph;
cls;
outwidth 128;

#include nkmp_spec.g;
#include pathspec.g;

/* Load model parameters
*/
load path = ^dgppath para[npara,ndgp] = "dgp_para.out";

/* Specify row names for table
*/
row_name =  "$\\tau$          "
         $| "$\\kappa$        "
         $| "$\\psi_1$        "
         $| "$\\psi_2$        "
         $| "$\\rho_R$        "
         $| "$\\rho_G$        "
         $| "$\\rho_Z$        "
         $| "$r^{(A)}$        "
         $| "$\\pi^{(A)}$     "
         $| "$\\gamma$        "
         $| "$\\sigma_R$      "
         $| "$\\sigma_G$      "
         $| "$\\sigma_Z$      ";
             

/* Create table
*/
para_ind = 1;
do until para_ind > npara;

   tablerow = row_name[para_ind];

   dgp_ind = 2;
   do until dgp_ind > ndgp;
      
      tablerow = tablerow 
                 $+ " & " $+ ftos(para[para_ind,dgp_ind],"%*.*lf",5,2);                 
      dgp_ind = dgp_ind+1;
      
   endo;
   tablerow  = tablerow  $+ "\\\\";
   
   $tablerow;
   
   para_ind = para_ind+1;

endo;
